Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.stat.mperiods
Class MeasureSet.MeasureInfo

    java.lang.Object
      umontreal.iro.lecuyer.stat.mperiods.MeasureSet.MeasureInfo

All Implemented Interfaces:
  Cloneable

Enclosing class:
  MeasureSet

    public static final class MeasureSet.MeasureInfo

extends Object
implements Cloneable

Contains information about a measure added to a measure set.

Constructor Summary
`MeasureSet.MeasureInfo(MeasureMatrix mat, int index)` Constructs a new measure information object for the measure `index` in the matrix `mat`.

Method Summary
`MeasureSet.MeasureInfo` | `clone()`
`boolean` | `equals(Object o)`
`int` | `getMeasureIndex()` Returns the index, in the associated measure matrix, of the represented measure.
`MeasureMatrix` | `getMeasureMatrix()` Returns the measure matrix from which the measure is extracted.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeasureSet.MeasureInfo

    public MeasureSet.MeasureInfo(MeasureMatrix mat,
                                  int index)

  Constructs a new measure information object for the measure `index` in the matrix `mat`.

  Parameters:
    `mat` - the measure matrix to take the measure from.
    `index` - the index of the measure, in `mat`.
  Throws:
    `NullPointerException` - if `mat` is `null`.

Method Detail

### getMeasureMatrix

    public MeasureMatrix getMeasureMatrix()

  Returns the measure matrix from which the measure is extracted.

  Returns:
    the associated measure matrix.

### getMeasureIndex

    public int getMeasureIndex()

  Returns the index, in the associated measure matrix, of the represented measure.

  Returns:
    the index of the measure.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public MeasureSet.MeasureInfo clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.